import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { CommonModule } from '@angular/common';

import './vendor';
import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { GitSearchV2CoreModule } from 'app/core/core.module';
import { GitSearchV2AppRoutingModule } from './app-routing.module';
import { GitSearchV2HomeModule } from './home/home.module';
import { GitSearchV2EntityModule } from './entities/entity.module';
// jhipster-needle-angular-add-module-import JHipster will add new module here
import { MainComponent } from './layouts/main/main.component';
import { NavbarComponent } from './layouts/navbar/navbar.component';
import { FooterComponent } from './layouts/footer/footer.component';
import { PageRibbonComponent } from './layouts/profiles/page-ribbon.component';
import { ActiveMenuDirective } from './layouts/navbar/active-menu.directive';
import { ErrorComponent } from './layouts/error/error.component';
import { QueryParamModule } from '@ngqp/core';

@NgModule({
  imports: [
    BrowserModule,
    CommonModule,
    GitSearchV2SharedModule,
    GitSearchV2CoreModule,
    GitSearchV2HomeModule,
    // jhipster-needle-angular-add-module JHipster will add new module here
    GitSearchV2EntityModule,
    GitSearchV2AppRoutingModule,
    QueryParamModule,
  ],
  declarations: [
	    MainComponent, 
    NavbarComponent, 
    ErrorComponent, 
    PageRibbonComponent, 
    ActiveMenuDirective, 
    FooterComponent],
  bootstrap: [MainComponent],
})
export class GitSearchV2AppModule {}
